Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class HierarchyBoundsAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.HierarchyBoundsAction

All Implemented Interfaces:
  EventListener, HierarchyBoundsListener

public class HierarchyBoundsAction
extends AbstractAction
implements HierarchyBoundsListener

Actionimplementierung fuer HierarchyEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`HierarchyBoundsAction()`

Method Summary
`void` | `ancestorMoved(HierarchyEvent he)`
`void` | `ancestorResized(HierarchyEvent he)`
`void` | `doAncestorMoved(HierarchyEvent he)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doAncestorResized(HierarchyEvent he)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyBoundsAction

    public HierarchyBoundsAction()

Method Detail

### ancestorMoved

    public void ancestorMoved(HierarchyEvent he)

  Specified by:
    `ancestorMoved` in interface `HierarchyBoundsListener`

### doAncestorMoved

    public void doAncestorMoved(HierarchyEvent he)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `he` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### ancestorResized

    public void ancestorResized(HierarchyEvent he)

  Specified by:
    `ancestorResized` in interface `HierarchyBoundsListener`

### doAncestorResized

    public void doAncestorResized(HierarchyEvent he)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `he` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD